Package org.pushingpixels.substance.internal.ui

# Class SubstanceOptionPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.OptionPaneUI
javax.swing.plaf.basic.BasicOptionPaneUI
org.pushingpixels.substance.internal.ui.SubstanceOptionPaneUI

public class SubstanceOptionPaneUI extends BasicOptionPaneUI
UI for option panes in Substance look and feel.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`SubstanceOptionPaneUI.OptionPaneLabel`
Label extension class.

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicOptionPaneUI

`BasicOptionPaneUI.ButtonActionListener, BasicOptionPaneUI.ButtonAreaLayout, BasicOptionPaneUI.PropertyChangeHandler`

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicOptionPaneUI

`hasCustomComponents, initialFocusComponent, inputComponent, MinimumHeight, minimumSize, MinimumWidth, optionPane, propertyChangeListener`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceOptionPaneUI()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addIcon(Container top)`
`static ComponentUI`
`createUI(JComponent comp)`
Creates a new SubstanceOptionPaneUI instance.
`protected Icon`
`getIconForType(int messageType)`
`protected void`
`installComponents()`
`void`
`paint(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicOptionPaneUI

`addButtonComponents, addMessageComponents, burstStringInto, containsCustomComponents, createButtonActionListener, createButtonArea, createLayoutManager, createMessageArea, createPropertyChangeListener, createSeparator, getButtons, getIcon, getInitialValueIndex, getMaxCharactersPerLineCount, getMessage, getMinimumOptionPaneSize, getPreferredSize, getSizeButtonsToSameWidth, installDefaults, installKeyboardActions, installListeners, installUI, resetInputValue, selectInitialValue, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceOptionPaneUI

public SubstanceOptionPaneUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)
Creates a new SubstanceOptionPaneUI instance.

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `ComponentUI`

### addIcon

protected void addIcon(Container top)

Overrides:
  `addIcon` in class `BasicOptionPaneUI`

### getIconForType

protected Icon getIconForType(int messageType)

Overrides:
  `getIconForType` in class `BasicOptionPaneUI`

### installComponents

protected void installComponents()

Overrides:
  `installComponents` in class `BasicOptionPaneUI`